List coupons
GET /v1/coupons
GET
/v1/coupons
Retrieve a list of coupons for the authenticated company, optionally filtered by event
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” eventId
string
Example
event_123abcFilter coupons by specific event ID. If not provided, includes global coupons.
Responses
Section titled “ Responses ”Successfully retrieved coupons
object
status
string
Example
ok data
Array<object>
object
id
string
companyId
string
description
string
code
string
type
string
amountOff
number
percentOff
number
limit
number
quantitySold
number
offeringIds
Array<string>
contextIds
Array<string>
status
string
Unauthorized - authentication required
object
status
string
Example
error message
string
Example
An error occurred error
string
Internal server error
object
status
string
Example
error message
string
Example
An error occurred error
string